Kerbal Space Program - Bug #3372

Small Gear Bay adds to the mass of the vehicle 500 kg
10/15/2014 02:17 PM - evorios

Status: Closed Start date: 10/15/2014
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version: 0.25

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Affected Part:

Small Gear Ba

Problem Description:
Small Gear Bay mass is 0.5t(500kg) in info window
Tested with Mk2 Cockpit in Space Plane Hangar.
I've included screenshot with the info window open.
I'm not sure if this affects the physics engine since | have not tested that.

How to reproduce:

In SPH, start with any single part. Add Small Gear Bay to it. Click on the info button and note the vehicle's mass.

History

#1 - 10/16/2014 05:18 PM - Ted
- Status changed from New to Ready to Test
- Target version set to 0.25

- % Done changed from 0 to 80

I'm not entirely sure what you're saying here. The issue that you report in 0.24 is fixed in 0.25 or at least significantly changed, could you retest it in
that?

#2 - 10/19/2014 08:24 PM - TruePikachu

It looks like they are reporting that the small gear bay, massing at 1/2 ton (which is probably a bug in Kerbal Engineer, since the config says 5kg),
doesn't add to the mass of the craft. However,

PhysicsSignificance

is set, so it wouldn't add to the mass anyway.

I can't tell if this issue is "Invalid" or "Works as Intended"; I'd go with the former, since the title is incorrect (it implies that the mass is increasing, while
it is not in reality, going by their screenshot and my own quick check with MechJeb)

#3 - 10/26/2014 12:53 PM - Padishar

In 0.24 (which is what this "bug" was reported in) and earlier the mass of the small gear bay was 0.5 ton and the part did not have
PhysicsSignificance set to 1 in the part.cfg. The stock KSP info window included the mass of the part in the total mass of the craft and the part also
affected the CoM marker in the editor but, in flight, the part forced itself to be PhysicsSignificance = 1 so that they didn't actually have any mass. This
caused all sorts of annoying effects. KER (and MJ) both correctly simulated these parts as insignificant so they would not affect the deltaV or the
overall mass of the craft (though the mass shown in the KER 1.0 tooltip for the part did still show 500kg).
https://bugs.kerbalspaceprogram.com/projects/ksp/wiki/Small_Gear_Bay

In 0.25 the part has been changed to be only 5kg (rather unrealisticly light for a plane wheel, suspension and retraction mechanism) and also to have
PhysicsSignificance = 1 in the .cfg file. This fixes the odd effect on the CoM and the stock info window craft mass. Both KER and MJ have also been

updated to treat the part just like any other insignificant part.

Basically, this is a terrible bug report as it doesn't adequately describe the problem or what the reporter thinks the behaviour should be.

#4 - 10/27/2014 12:27 PM - Ted
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#5 - 07/27/2015 01:45 PM - Squelch
- Platform Any added
- Platform deleted (Win64)

#6 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

Files
screenshot5.png 918 KB 10/15/2014 evorios
KSP.log 133 KB 10/15/2014 evorios
